
%define major 3

Summary:	File transfer utilities between Linux and PalmPilots
Name:		pilot-link
Version:	0.9.5
%define		prerelease pre5
Release:	0.5.4mdk

Source:		http://www.gnu-designs.com/pilot-link/source/pilot-link.%{version}-%{prerelease}.tar.bz2 
Patch0:		pilot-link-pixdir.patch.bz2
Patch1:		pilot-link-perl-libdir.patch.bz2
URL:		http://www.gnu-designs.com/pilot-link/
Copyright:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	perl-devel

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your
Linux system.

%package -n lib%{name}%{major}
Summary:        Libraries needed to use pilot-link
Group:          System/Libraries

%description -n lib%{name}%{major}
Libraries needed to use pilot-link

%package devel
Requires:	pilot-link
Summary:	PalmPilot development header files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	lib%{name}%{major} = %{version}

%description devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot apps.

If you want to develop PalmPilot synchronizing applications, you'll
need to install pilot-link-devel.


%package -n perl-PDA-Pilot
Summary:	Perl module for Palm
Group:		Communications
Requires:	%{name} = %{version}

%description -n perl-PDA-Pilot
This package provides perl modules for supporting Palm.

%package tcl
Summary:	Tcl module for Palm
Group:		Communications
Requires:	%{name} = %{version}

%description tcl
This package provides tcl libraries for supporting Palm.


%prep 
%setup -q -n pilot-link.%{PACKAGE_VERSION}-%{prerelease}
%patch0 -p1 -b .pixdir
%patch1 -p1 -b .libdir


%build
%configure  --without-java


%make
(cd tools/Perl5
perl Makefile.PL
# needed to remove rpath (I know, I know, it's very bad :((
perl -pi -e 's!LD_RUN_PATH=\"\$\(LD_RUN_PATH\)\"!!g' Makefile
%make  
)
%make Tcl

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall mandir1=$RPM_BUILD_ROOT%{_mandir}/man1  mandir7=$RPM_BUILD_ROOT%{_mandir}/man7

(cd tools/Perl5
export LD_LIBRARY_PATH="$RPM_BUILD_DIR/libsock/.libs"
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=$RPM_BUILD_ROOT%{_prefix} install
)
mv $RPM_BUILD_ROOT%{_libdir}/perl5/site_perl/5.6.0/%{_arch}-linux/* $RPM_BUILD_ROOT%{_libdir}/perl5/site_perl/5.6.0/
rmdir $RPM_BUILD_ROOT%{_libdir}/perl5/site_perl/5.6.0/%{_arch}-linux

(cd tools/Tcl
%make PACKAGES=$RPM_BUILD_ROOT%{_libdir} TCL_BIN=$RPM_BUILD_ROOT%{_bindir}  install
)

%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%post tcl -p /sbin/ldconfig 

%postun tcl -p /sbin/ldconfig


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%{_bindir}/addresses
%{_bindir}/ccexample
%{_bindir}/debugsh
%{_bindir}/dlpsh
%{_bindir}/getrom
%{_bindir}/hinotes
%{_bindir}/iambicexample
%{_bindir}/install-datebook
%{_bindir}/install-hinote
%{_bindir}/install-memo
%{_bindir}/install-todos
%{_bindir}/install-user
%{_bindir}/memos
%{_bindir}/money2qif
%{_bindir}/pi-csd
%{_bindir}/pi-getram
%{_bindir}/pi-getrom
%{_bindir}/pi-nredir
%{_bindir}/pi-port
%{_bindir}/pilot-addresses
%{_bindir}/pilot-clip
%{_bindir}/pilot-dedupe
%{_bindir}/pilot-file
%{_bindir}/pilot-mail
%{_bindir}/pilot-schlep
%{_bindir}/pilot-xfer
%{_bindir}/read-expenses
%{_bindir}/read-ical
%{_bindir}/read-todos
%{_bindir}/reminders
%{_mandir}/man1/dlpsh.1*
%{_mandir}/man1/install-datebook*
%{_mandir}/man1/install-hinote*
%{_mandir}/man1/install-memo*
%{_mandir}/man1/install-user*
%{_mandir}/man1/pilot-xfer*
%{_mandir}/man1/read-ical*
%{_mandir}/man7/*
%{_libdir}/pilot-link

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/libpisock.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libpicc.a
%{_libdir}/libpisock.a
%{_libdir}/libpisock.so
%{_libdir}/libpisock.la
%{_includedir}/*

%files -n perl-PDA-Pilot
%defattr(-,root,root)
%{_bindir}/ietf2datebook
%{_bindir}/sync-plan
%{_bindir}/pilot-undelete
%{_mandir}/man1/ietf2datebook*
%{_libdir}/perl5/site_perl/5.6.0/auto/*
%{_libdir}/perl5/site_perl/5.6.0/PDA/*

%files tcl
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%{_bindir}/pitcl*
%{_bindir}/piwish*
%{_bindir}/pilot-debug
%{_libdir}/libpitcl*
%{_libdir}/pitcl1.0

%changelog
* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.4mdk
- Correct descriptions again..

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.3mdk
- Correct descriptions

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.2mdk
- Change patch 1 to correctly remove rpath

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.5.1mdk
- Release 0.9.5-pre5
- regenerate patch 0
- generate different packages for different languages

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.2mdk
- Rebuild with last stdlibc++
- Split lib package

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-0.3.1mdk
- Release 0.9.5-pre3

* Tue Oct  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-15mdk
- Remove pilot-bug since it is unusefull and bring tcltk dependences.

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-14mdk
- Move perl part to its own package (which was preventing bootstrapping of package)

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-13mdk
- merge Alpha diff from Stefan van der Eijk

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-12mdk
- BM + macroszification

* Wed May 17 2000 David BAUENS <baudens@mandrakesoft.com> 0.9.3-11mdk
- Fix build for i486

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-10mdk
- fix group

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.9.3-9mdk
- cleanup
- patch for perl 5.6
- rebuild for new readline

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-8mdk
- Fix group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-7mdk
- libtoolize --force.

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Fixes sync-plan
- Fixed spec to build and install perl modules

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.3.
- Fix building as user.
- Rewrote spec.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- %post / %postun: make -p

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl
